<?php 
    session_start();
    require('../../conexion.php');

    $id_nota = $_SESSION['cveNota'];
    $prd_name = $_POST['prd_name'];
    $coment = $_POST['coment'];
    $comensal = $_POST['comensal'];
    $tiempo = $_POST['tiempo'];
    // $total = $_POST['total'];
    $price = $_POST['price'];
    $new = $_POST['new'];
    $id_prd = $_POST['id_prd'];
    $cant = $_POST['cant'];
    $bandera = $_POST['bandera'];
    
    $comensal_ant = $_POST['comensal_ant'];
    $cantidad_ant = $_POST['cantidad_ant'];
    $tiempo_ant = $_POST['tiempo_ant'];
    $comentario_ant = $_POST['comentario_ant'];
    $i;
    if($cant == 0){
        $cant = 1;
    }
    try {
        if ( $new == 1) {
            if ($bandera==2) {
                $query= query("INSERT INTO productos_nota (id_nota_venta, id_producto, pdn_cantidad, pdn_comensal, pdn_tiempo, 
                pdn_precio, pdn_estatus, pdn_comentario, pdn_guardado, vista_cocinero) 
                VALUES ($id_nota, $id_prd, '$cant', '$comensal','$tiempo', '$price','activo','$coment',1,1)");
                 $i = 1;
            }else{
                $query= query("INSERT INTO productos_nota (id_nota_venta, id_producto, pdn_cantidad, pdn_comensal, pdn_tiempo, 
                pdn_precio, pdn_estatus, pdn_comentario, pdn_guardado) 
                VALUES ($id_nota, $id_prd, '$cant', '$comensal','$tiempo', '$price','activo','$coment',1)");
                 $i = 1;
            }
            
        }else{
            /* $query1 = query("SELECT pdn_comensal, pdn_cantidad, pdn_tiempo, pdn_comentario FROM productos_nota WHERE id = $id_prd;");
            $result=mysqli_fetch_assoc($query1);
            $comensal_ant = $result['pdn_comensal'];
            $cantidad_ant = $result['pdn_cantidad'];
            $tiempo_ant = $result['pdn_tiempo'];
            $comentario_ant = $result['pdn_comentario']; */
            if ($cantidad_ant != $cant || $tiempo_ant != $tiempo || $comentario_ant != $coment) {
                $query= query("UPDATE productos_nota SET pdn_comensal = '$comensal', pdn_cantidad = '$cant', pdn_tiempo = '$tiempo', pdn_comentario ='$coment', vista_cocinero = 2, pdn_guardado = pdn_guardado+1, updated_at=CURRENT_TIME() where id = $id_prd;");
            }else{
                $query= query("UPDATE productos_nota SET pdn_comensal = '$comensal' where id = $id_prd;");
            }
            
            $i = 2;
        }
        echo $i;
    } catch (Exception $e) {
        echo $e;
    }
?>